Bug 1130508 - hammer-import-all needs to allow --delete
Summary: hammer-import-all needs to allow --delete
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Grant Gainey
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-15 12:55 UTC by Grant Gainey
Modified: 2014-09-11 12:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:28:23 UTC


Attachments (Terms of Use)

Description Grant Gainey 2014-08-15 12:55:06 UTC
Right now all of the hammer-import subcommands allow the user to --delete, to remove the entities and try again.

hammer-import-all, among other things, makes sure that entities are created in the right order.

Currently, there is no --delete for all - so there's no built-in way for the user to automatically *delete* things in the right order.

Add this to keep the user out of trouble as much as possible.

Comment 1 RHEL Product and Program Management 2014-08-15 13:03:15 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Grant Gainey 2014-08-15 13:48:28 UTC
hammer-cli-import commit 0f39e9a32e7b26c2f7efd515796fbbc42b527122

Comment 6 Matej Kollar 2014-09-05 11:50:41 UTC
verified with rubygem-hammer_cli_import-0.10.4-1

Comment 7 Bryan Kearney 2014-09-11 12:28:23 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.